<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<link rel="stylesheet" href="<%= request.getContextPath() %>/css/finish_return_style.css" type="text/css" media="all"/>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
        <title>決済完了</title>
    </head>
    <body>

    <div class="infoBox">
        <logic:equal value="true" name="DoPostForm" property="verifyError">
        決済処理成功
        </logic:equal>
        <logic:notEqual value="true" name="DoPostForm" property="verifyError">
            <span style="color:#FF0000;">決済処理エラー</span>
        </logic:notEqual>
    </div>

    <div class="inputTableTitle">
        【結果パラメータ検証】
        </div>
        <table class="inputTable" style="width:880px;">
            <tr>
                <th>
                項目
                </th>
                <th>
                VT Web → ECサイト
                </th>
                <th>
                購入者様 → ECサイト
                </th>
                <th>
                検証
                </th>
            </tr>
            <tr>
                <td>
                取引ID
                </td>
                <td>
                    <bean:write name="DoPostForm" property="orderIdVtw"/>
                </td>
                <td>
                    <bean:write name="DoPostForm" property="orderId"/>
                </td>
                <td>
                    <logic:equal value="true" name="DoPostForm" property="verifyOrderId">
                    一致
                    </logic:equal>
                    <logic:notEqual value="true" name="DoPostForm" property="verifyOrderId">
                        <span style="color:#FF0000;">不一致</span>
                    </logic:notEqual>
                </td>
            </tr>
            <tr>
                <td>
                ステータス
                </td>
                <td>
                    <bean:write name="DoPostForm" property="mStatusVtw"/>
                </td>
                <td>
                    <bean:write name="DoPostForm" property="mStatus"/>
                </td>
                <td>
                    <logic:equal value="true" name="DoPostForm" property="verifyMStatus">
                    一致
                    </logic:equal>
                    <logic:notEqual value="true" name="DoPostForm" property="verifyMStatus">
                        <span style="color:#FF0000;">不一致</span>
                    </logic:notEqual>
                </td>
            </tr>
            <tr>
                <td>
                結果コード
                </td>
                <td>
                    <bean:write name="DoPostForm" property="vResultCodeVtw"/>
                </td>
                <td>
                    <bean:write name="DoPostForm" property="vResultCode"/>
                </td>
                <td>
                    <logic:equal value="true" name="DoPostForm" property="verifyVResultCode">
                    一致
                    </logic:equal>
                    <logic:notEqual value="true" name="DoPostForm" property="verifyVResultCode">
                        <span style="color:#FF0000;">不一致</span>
                    </logic:notEqual>
                </td>
            </tr>
        </table>

        <br>
        <html:link action="top">トップへ戻る</html:link>

    </body>
</html>
