<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.text.DecimalFormat" %>
<%@ page import="java.text.NumberFormat" %>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <%@ include file="include_head.jsp" %>
        <title>Entry</title>
    </heads>
    <body>
        <%@ include file="../common/include_retrieve_info.jsp" %>
        <div class="contents">
            <h1>
                【ECサイト  入力画面】
            </h1>
            <br/>
            <html:errors/>
            <br/>
            <html:form action="/vaConfirmaction" onsubmit="document.getElementById('submitBtn').disabled=true;">
                <%@ include file="../common/include_cart_table.jsp" %>
                <br/><br/>
                <%@ include file="../common/include_paynowid.jsp" %>
                <br/><br/>
                <h2>【お支払い情報】</h2><br/>
                <table class="settlement">
                    <tr>
                        <th class="type">
                            項目
                        </th>
                        <th class="pal">
                            内容
                        </th>
                    </tr>
                    <tr>
                        <td class="type">
                            決済方法
                        </td>
                        <td class="pal">
                            銀行振込決済
                        </td>
                    </tr>
                    <tr>
                        <td>
                            登録時振込番号
                        </td>
                        <td>
                            <html:text property="entryTransferNumber" size="5" maxlength="5" styleId="entryTransferNumber"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            振込期限
                        </td>
                        <td>
                            <html:text property="transferExpiredDate" size="8" maxlength="8" styleId="transferExpiredDate"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            口座管理方式
                        </td>
                        <td id="accountManageTypeTd">
                            <label>
                                <html:radio property="accountManageType" styleId="accountManageType" value="0">
                                    実口座
                                </html:radio>
                            </label>
                            <label>
                                <html:radio property="accountManageType" styleId="accountManageType" value="1">
                                    バーチャル口座
                                </html:radio>
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            支店コード
                        </td>
                        <td>
                            <html:text property="branchCode" size="3" maxlength="3" styleId="branchCode"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            口座番号
                        </td>
                        <td>
                            <html:text property="accountNumber" size="7" maxlength="7" styleId="accountNumber"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            銀行口座関連付け拒否フラグ
                        </td>
                        <td id="rejectBankAccountTd">
                            <label>
                                <html:checkbox property="rejectBankAccount" styleId="rejectBankAccount"/>&nbsp;関連付けしない
                            </label>
                        </td>
                    </tr>
                </table>
                <br/>
                <%@ include file="../common/include_input_hidden.jsp" %>
                <br/>
                <input id="submitBtn" type="submit" value="  購入  " />
            </html:form>
        </div>
    </BODY>
</HTML>
