package jp.co.veritrans.vtweb.mdk.bean;

/**
 * 決済結果を保持するBean
 */
public class ResultDataBean {

    /**
     * 取引ID
     */
    private String orderId;

    /**
     * 決済結果のステータス
     */
    private String mStatus;

    /**
     * エラーメッセージ
     */
    private String mErrMsg;

    /**
     * 結果コード
     */
    private String vResultCode;

    /**
     * 受付番号
     */
    private String receiptNo;

    /**
     * 漢字氏名
     */
    private String userName;

    /**
     * カナ氏名
     */
    private String userNameKana;

    /**
     * コンストラクタ
     */
    public ResultDataBean() {

    }

    /**
     * orderIdの取得
     *
     * @return the orderId of String
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * orderIdの設定
     *
     * @param orderId the orderId to set
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * mStatusの取得
     *
     * @return the mStatus of String
     */
    public String getmStatus() {
        return mStatus;
    }

    /**
     * mStatusの設定
     *
     * @param mStatus the mStatus to set
     */
    public void setmStatus(String mStatus) {
        this.mStatus = mStatus;
    }

    /**
     * mErrMsgの取得
     *
     * @return the mErrMsg of String
     */
    public String getmErrMsg() {
        return mErrMsg;
    }

    /**
     * mErrMsgの設定
     *
     * @param mErrMsg the mErrMsg to set
     */
    public void setmErrMsg(String mErrMsg) {
        this.mErrMsg = mErrMsg;
    }

    /**
     * vResultCodeの取得
     *
     * @return the vResultCode of String
     */
    public String getvResultCode() {
        return vResultCode;
    }

    /**
     * vResultCodeの設定
     *
     * @param vResultCode the vResultCode to set
     */
    public void setvResultCode(String vResultCode) {
        this.vResultCode = vResultCode;
    }

    /**
     * receiptNoの取得
     *
     * @return the receiptNo of String
     */
    public String getReceiptNo() {
        return receiptNo;
    }

    /**
     * receiptNoの設定
     *
     * @param receiptNo the receiptNo to set
     */
    public void setReceiptNo(String receiptNo) {
        this.receiptNo = receiptNo;
    }

    /**
     * userNameの取得
     *
     * @return the userName of String
     */
    public String getUserName() {
        return userName;
    }

    /**
     * userNameの設定
     *
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * userNameKanaの取得
     *
     * @return the userNameKana of String
     */
    public String getUserNameKana() {
        return userNameKana;
    }

    /**
     * userNameKanaの設定
     *
     * @param userNameKana the userNameKana to set
     */
    public void setUserNameKana(String userNameKana) {
        this.userNameKana = userNameKana;
    }

}
