package jp.co.veritrans.vtweb.sample.server.action.bank;

import jp.co.veritrans.vtweb.mdk.common.Constants;
import jp.co.veritrans.vtweb.mdk.common.StringUtil;
import jp.co.veritrans.vtweb.mdk.conf.MerchantConf;
import jp.co.veritrans.vtweb.sample.server.action.CommodityForm;
import jp.co.veritrans.vtweb.sample.server.action.ConfirmAction;

/**
 * 銀行決済のActionクラス
 */
public class BankAction extends ConfirmAction {
    protected void addInfomation(CommodityForm form) {
        MerchantConf info = MerchantConf.getInfo();
        // 銀行決済固有項目のセット
        // 請求内容
        if(StringUtil.isNullStr(form.getContents())){
            form.setContents(info.getContents());
        }

        // 請求内容カナ
        if(StringUtil.isNullStr(form.getContentsKana())){
            form.setContentsKana(info.getContentsKana());
        }
    }

}
